summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--catsit.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/catsit.sh b/catsit.sh
index bc18a46..0e2a7e1 100644
--- a/catsit.sh
+++ b/catsit.sh
@@ -19,6 +19,9 @@ shift $((OPTIND - 1))
 if ! [ -p "${CATSITD_PIPE}" ]; then
 	die "${CATSITD_PIPE} is not a named pipe"
 fi
+if ! [ -w "${CATSITD_PIPE}" ]; then
+	die "${CATSITD_PIPE} is not writable"
+fi
 
 [ $# -lt 1 ] && die 'action required'
 [ $# -lt 2 ] && die 'service name required'
>Compress PNG data in imageJune McEnroe 2019-01-07madvise MADV_NOCORE in imageJune McEnroe 2019-01-07Add license notice to explore JavaScriptJune McEnroe 2019-01-07Add Q/Home binding in exploreJune McEnroe 2019-01-07Fix explore image URLJune McEnroe 2019-01-07Add HOME button, ssh link, AGPL notice to exploreJune McEnroe 2019-01-06Add meta viewport to exploreJune McEnroe 2019-01-06Set background and max-width in exploreJune McEnroe 2019-01-06Swallow writes after the connection is closedJune McEnroe 2019-01-06Handle KCGI_HUPJune McEnroe 2019-01-06Install html filesJune McEnroe